[linux-dvb] Re: Problems compiling latest mercurial

Luis Ochoa luis.m.ochoa at gmail.com
Sat Mar 25 01:46:21 CET 2006


On 3/24/06, Michael Krufky <mkrufky at linuxtv.org> wrote:
> Luis Ochoa wrote:
> > On 3/24/06, Michael Krufky <mkrufky at linuxtv.org> wrote:
> >
> >> Luis Ochoa wrote:
> >>
> >>> Hi all, as the subject says. Any ideas?
> >>> Thanks!
> >> The mercurial tree will not be compatible with your non-standard
> >> kernel.... Your kernel is reporting itself as a 2.6.15 kernel, but it
> >> contains semaphore to mutex conversions backported from 2.6.16
> >>
> >> either:
> >>
> >> a) grab a vanilla kernel
> >>
> >> or b) my famous new quote:
> >>
> >> -EOUTOFLUCK
> >>
> > Thank you Michael.
> > So if I understand correctly, latest mercurial is compat with 2.6.15
> > but _not_ with 2.6.16 ? (at least not yet)
> >
> The mercurial tree is compatable with 2.6.15, 2.6.16, and all other
> VANILLA kernels since 2.6.10, maybe even earlier.....
>
> The problem is that you are using a kernel that has 2.6.16 code in it,
> but it is reporting that it is 2.6.15.  This causes a failure in our
> kernel version tests, and this is the reason why build fails for you.
>
> You are not using a VANILLA kernel.
>
> Now, some non-vanilla kernels will work... but this one doesnt because
> of the situation described above.
>
> HTH,
>
> --
> Michael Krufky

Thanks.

Found the problem. Apparently there are some probs with that kernel
that shipped with FC5.
Whoever is on the same boat, and want to try out a pre-compiled kernel
that works with latest v4l-dvb, try here:
http://people.redhat.com/davej/kernels/Fedora/FC5/



More information about the linux-dvb mailing list